import os
import shutil

class board:
    D18 = None
    SDA = None
    SCL = None

    def __init__(self):
        pass


class busio:
    def __init__(self):
        pass
    @classmethod
    def I2C(cls, SCL, SDA):
        pass



class BytesIO:
    def __init__(self):
        pass


class PiCamera:
    index = 1

    def capture(self, name):
        shutil.copyfile('dummycaptures/capture{0}.jpg'.format(self.index), name)
        self.index += 1
        if self.index == 7:
            self.index = 1

    def __init__(self):
        pass